## org.eclipse.emf.cdo.spi.common.revision
Interface InternalCDOList

All Superinterfaces:
  CDOList, java.util.Collection<java.lang.Object>, java.lang.Iterable<java.lang.Object>, java.util.List<java.lang.Object>, org.eclipse.net4j.util.collection.MoveableList<java.lang.Object>

    public interface InternalCDOList

extends CDOList

Since:
  2.0

Field Summary
`static java.lang.Object` `UNINITIALIZED`

Method Summary
`void` `adjustReferences(CDOReferenceAdjuster adjuster, org.eclipse.emf.ecore.EStructuralFeature feature)` Adjusts references according to the passed adjuster and resynchronizes indexes.
`InternalCDOList` `clone(org.eclipse.emf.ecore.EClassifier classifier)` Clones the list.

Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDOList
`get`

Methods inherited from interface org.eclipse.net4j.util.collection.MoveableList
`move`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Field Detail

### UNINITIALIZED

    static final java.lang.Object UNINITIALIZED

Method Detail

### adjustReferences

    void adjustReferences(CDOReferenceAdjuster adjuster,
                          org.eclipse.emf.ecore.EStructuralFeature feature)

  Adjusts references according to the passed adjuster and resynchronizes indexes.

### clone

    InternalCDOList clone(org.eclipse.emf.ecore.EClassifier classifier)

  Clones the list.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.